int dirRight = 12;        // Motor Rechts   High = vorwärts  low = rückwärts
int dirLeft = 13;         // Motor Links
int speedRight = 10;      // Geschwindigkeit Motor Rechts 0 - 255
int speedLeft = 11;       // Geschwindigkeit Motor Links
int b2S1 = 7;
int StartEngine = LOW;
int speedCorr = 10;
int Ref = 90;             // Grenzwert zwischen schwarz und weiß
int irLeftPin = 0;
int irRightPin = 1;
int Left, Right;

void setup()
{
  pinMode (dirRight, OUTPUT);
  pinMode (dirLeft, OUTPUT);
  pinMode (speedRight, OUTPUT);
  pinMode (speedLeft, OUTPUT);
  pinMode (b2S1, INPUT);
  digitalWrite(b2S1, HIGH);
}

void Forward (int speed) {
  analogWrite (speedRight, speed);
  analogWrite (speedLeft, speed);
}

void Spin_Left (int speed) {
  analogWrite (speedLeft, speed);
}

void Spin_Right (int speed) {
  analogWrite (speedRight, speed);
}



void loop()
{
  digitalWrite (dirRight, HIGH);
  digitalWrite (dirLeft, HIGH);

  Left  = analogRead(irLeftPin);    // Read value from left sensor
  Right = analogRead(irRightPin);   // Read value from right sensor
  if (Left<Ref && Right<Ref) {      // Both sensors detect white surface
     Forward (100);
  }
  else if (Left>Ref) {              // Left sensor detects black line
     Spin_Left (0);
     Spin_Right (255);
  }
  else if (Right>Ref) {              // Right sensor detects black line
     Spin_Right (0);
     Spin_Left (255);
  }
}

